| helics 3.6.1

Public Member Functions | List of all members
helicscpp::Endpoint Class Reference

`#include <Endpoint.hpp>`

## Public Member Functions
| Endpoint (HelicsEndpoint hep) HELICS_NOTHROW
| Endpoint () HELICS_NOTHROW
| Endpoint (const Endpoint &endpoint) HELICS_NOTHROW
Endpoint & | operator= (const Endpoint &endpoint)
| operator HelicsEndpoint ()
HelicsEndpoint | baseObject () const
bool | isValid () const
bool | hasMessage () const
void | setDefaultDestination (const std::string &dest)
const char * | getDefaultDestination () const
uint64_t | pendingMessageCount () const
Message | getMessage ()
Message | createMessage ()
void | send (const void *data, size_t data_size)
void | sendTo (const void *data, size_t data_size, const std::string &dest)
void | sendAt (const char *data, size_t data_size, HelicsTime time)
void | sendToAt (const void *data, size_t data_size, const std::string &dest, HelicsTime time)
void | send (const std::string &data)
void | sendTo (const std::string &data, const std::string &dest)
void | sendAt (const std::string &data, HelicsTime time)
void | sendToAt (const std::string &data, const std::string &dest, HelicsTime time)
void | send (const std::vector< char > &data)
void | sendTo (const std::vector< char > &data, const std::string &dest)
void | sendAt (const std::vector< char > &data, HelicsTime time)
void | sendToAt (const std::vector< char > &data, const std::string &dest, HelicsTime time)
void | sendMessage (const Message &message)
void | sendMessageZeroCopy (Message &message)
const char * | getName () const
const char * | getType ()
const char * | getInfo () const
void | setInfo (const std::string &info)

## Detailed Description

Class to manage helics endpoint operations

## Constructor & Destructor Documentation

## ◆ Endpoint() [1/3]

helicscpp::Endpoint::Endpoint | ( | HelicsEndpoint | hep | ) |
| inline explicit

construct from a HelicsEndpoint object

## ◆ Endpoint() [2/3]

helicscpp::Endpoint::Endpoint | ( |  | ) |
| inline

default constructor

## ◆ Endpoint() [3/3]

helicscpp::Endpoint::Endpoint | ( | const Endpoint & | endpoint | ) |
| inline

copy constructor

## Member Function Documentation

## ◆ baseObject()

HelicsEndpoint helicscpp::Endpoint::baseObject | ( |  | ) | const
| inline

get the base HelicsEndpoint object for use in the c API functions

Referenced by helicscpp::Message::newMessageObject().

## ◆ createMessage()

Message helicscpp::Endpoint::createMessage | ( |  | ) |
| inline

create a message object

References helicsEndpointCreateMessage().

## ◆ getDefaultDestination()

const char* helicscpp::Endpoint::getDefaultDestination | ( |  | ) | const
| inline

get the default destination for an endpoint

References helicsEndpointGetDefaultDestination().

## ◆ getInfo()

const char* helicscpp::Endpoint::getInfo | ( |  | ) | const
| inline

get the interface information field of the filter

References helicsEndpointGetInfo().

## ◆ getMessage()

Message helicscpp::Endpoint::getMessage | ( |  | ) |
| inline

Get a packet from an endpoint

References helicsEndpointGetMessage().

## ◆ getName()

const char* helicscpp::Endpoint::getName | ( |  | ) | const
| inline

get the name of the endpoint

References helicsEndpointGetName().

## ◆ getType()

const char* helicscpp::Endpoint::getType | ( |  | ) |
| inline

get the specified type of the endpoint

References helicsEndpointGetType().

## ◆ isValid()

bool helicscpp::Endpoint::isValid | ( |  | ) | const
| inline

check if the input is valid

References HELICS_TRUE, and helicsEndpointIsValid().

## ◆ operator HelicsEndpoint()

helicscpp::Endpoint::operator HelicsEndpoint | ( |  | ) |
| inline

cast to a HelicsEndpoint object

## ◆ operator=()

Endpoint& helicscpp::Endpoint::operator= | ( | const Endpoint & | endpoint | ) |
| inline

copy assignment

## ◆ pendingMessageCount()

uint64_t helicscpp::Endpoint::pendingMessageCount | ( |  | ) | const
| inline

Returns the number of pending receives for endpoint

References helicsEndpointPendingMessageCount().

## ◆ send() [1/3]

void helicscpp::Endpoint::send | ( | const std::string & | data | ) |
| inline

send a string to the target destination

Parameters

  data | the information to send

References helicsEndpointSendBytes().

## ◆ send() [2/3]

void helicscpp::Endpoint::send | ( | const std::vector< char > & | data | ) |
| inline

send a vector of data to the target destination

Parameters

  data | the information to send

References helicsEndpointSendBytes().

## ◆ send() [3/3]

void helicscpp::Endpoint::send | ( | const void * | data,
|  | size_t | data_size
| ) |  |
| inline

Methods for sending a message send a data block and length

Parameters

  data | pointer to data location
  data_size | the length of the data

References helicsEndpointSendBytes().

## ◆ sendAt() [1/3]

void helicscpp::Endpoint::sendAt | ( | const char * | data,
|  | size_t | data_size,
|  | HelicsTime | time
| ) |  |
| inline

send a data block and length

Parameters

  data | pointer to data location
  data_size | the length of the data
  time | the time to send the message

References helicsEndpointSendBytesAt().

## ◆ sendAt() [2/3]

void helicscpp::Endpoint::sendAt | ( | const std::string & | data,
|  | HelicsTime | time
| ) |  |
| inline

send a string at a particular time

Parameters

  data | the information to send
  time | the time the message should be delivered

References helicsEndpointSendBytesAt().

## ◆ sendAt() [3/3]

void helicscpp::Endpoint::sendAt | ( | const std::vector< char > & | data,
|  | HelicsTime | time
| ) |  |
| inline

send a vector of data to the target destination at a particular time

Parameters

  data | the information to send
  time | the time the message should be delivered

References helicsEndpointSendBytesAt().

## ◆ sendMessage()

void helicscpp::Endpoint::sendMessage | ( | const Message & | message | ) |
| inline

send a message object

References helicsEndpointSendMessage().

## ◆ sendMessageZeroCopy()

void helicscpp::Endpoint::sendMessageZeroCopy | ( | Message & | message | ) |
| inline

send a message object

References helicsEndpointSendMessageZeroCopy(), and helicscpp::Message::release().

## ◆ sendTo() [1/3]

void helicscpp::Endpoint::sendTo | ( | const std::string & | data,
|  | const std::string & | dest
| ) |  |
| inline

send a string to a particular destination

Parameters

  dest | the target endpoint to send the data to
  data | the information to send

References helicsEndpointSendBytesTo().

## ◆ sendTo() [2/3]

void helicscpp::Endpoint::sendTo | ( | const std::vector< char > & | data,
|  | const std::string & | dest
| ) |  |
| inline

send a vector of data to a particular destination

Parameters

  data | the information to send
  dest | the target endpoint to send the data to

References helicsEndpointSendBytesTo().

## ◆ sendTo() [3/3]

void helicscpp::Endpoint::sendTo | ( | const void * | data,
|  | size_t | data_size,
|  | const std::string & | dest
| ) |  |
| inline

send a data block and length

Parameters

  dest | string name of the destination
  data | pointer to data location
  data_size | the length of the data

References helicsEndpointSendBytesTo().

## ◆ sendToAt() [1/3]

void helicscpp::Endpoint::sendToAt | ( | const std::string & | data,
|  | const std::string & | dest,
|  | HelicsTime | time
| ) |  |
| inline

send a string to a particular destination at a particular time

Parameters

  data | the information to send
  dest | the target endpoint to send the data to
  time | the time the message should be delivered

References helicsEndpointSendBytesToAt().

## ◆ sendToAt() [2/3]

void helicscpp::Endpoint::sendToAt | ( | const std::vector< char > & | data,
|  | const std::string & | dest,
|  | HelicsTime | time
| ) |  |
| inline

send a vector of data to a particular destination at a particular time

Parameters

  dest | the target endpoint to send the data to
  data | the information to send
  time | the time the message should be delivered

References helicsEndpointSendBytesToAt().

## ◆ sendToAt() [3/3]

void helicscpp::Endpoint::sendToAt | ( | const void * | data,
|  | size_t | data_size,
|  | const std::string & | dest,
|  | HelicsTime | time
| ) |  |
| inline

send a data block and length

Parameters

  data | pointer to data location
  data_size | the length of the data
  dest | destination to send the message to
  time | the time to send the message

References helicsEndpointSendBytesToAt().

## ◆ setDefaultDestination()

void helicscpp::Endpoint::setDefaultDestination | ( | const std::string & | dest | ) |
| inline

set the default destination for an endpoint

References helicsEndpointSetDefaultDestination().

## ◆ setInfo()

void helicscpp::Endpoint::setInfo | ( | const std::string & | info | ) |
| inline

set the interface information field of the filter

References helicsEndpointSetInfo().

The documentation for this class was generated from the following file:

- Endpoint.hpp